Vulnerability CVE-2024-29943: Information

Description

An attacker was able to perform an out-of-bounds read or write on a JavaScript object by fooling range-based bounds check elimination. This vulnerability affects Firefox < 124.0.1.

Published: March 22, 2024
Modified: March 22, 2024

Fixed packages

Package name
Branch
Fixed in version
Version from repository
Errata ID
Task #
State
firefoxsisyphus124.0.1-alt2124.0.2-alt1ALT-PU-2024-4915-3344191Fixed
firefoxsisyphus_riscv64124.0.1-alt0.port124.0.1-alt0.portALT-PU-2024-6052-1-Fixed
firefoxsisyphus_loongarch64124.0.2-alt1.0.port124.0.2-alt1.0.portALT-PU-2024-6274-1-Fixed

References to Advisories, Solutions, and Tools